Index: src/lib/libdisk/create_chunk.c
diff -u src/lib/libdisk/create_chunk.c:1.1.3.4 src/lib/libdisk/create_chunk.c:1.1.3.4.6.1
--- src/lib/libdisk/create_chunk.c:1.1.3.4	Tue Oct 12 00:43:17 1999
+++ src/lib/libdisk/create_chunk.c	Mon Aug  7 22:29:20 2000
@@ -272,6 +272,8 @@
 	bmaj = 29, cmaj = 109, p += 3;
     else if (!strncmp(p, "da", 2))	/* CAM support */
 	bmaj = 4, cmaj = 13, p += 2;
+    else if (!strncmp(p, "od", 2))
+	bmaj = 20, cmaj = 70, p += 2;
     else {
 	msgDebug("MakeDev: Unknown major/minor for devtype %s\n", p);
 	return 0;
Index: src/lib/libdisk/disk.c
diff -u src/lib/libdisk/disk.c:1.1.3.4 src/lib/libdisk/disk.c:1.1.3.4.6.1
--- src/lib/libdisk/disk.c:1.1.3.4	Tue Oct 12 00:43:18 1999
+++ src/lib/libdisk/disk.c	Mon Aug  7 22:29:20 2000
@@ -375,7 +375,7 @@
 }
 #endif
 
-static char * device_list[] = {"wd", "ad", "sd", "da", "wfd", "fla", "ida", 0};
+static char * device_list[] = {"wd", "ad", "sd", "da", "od", "wfd", "fla", "ida", 0};
 
 char **
 Disk_Names()
Index: src/release/sysinstall/devices.c
diff -u src/release/sysinstall/devices.c:1.1.3.5 src/release/sysinstall/devices.c:1.1.3.5.4.1
--- src/release/sysinstall/devices.c:1.1.3.5	Sat Dec 25 22:08:16 1999
+++ src/release/sysinstall/devices.c	Mon Aug  7 22:29:20 2000
@@ -73,6 +73,8 @@
     { DEVICE_TYPE_DISK, 	"rda%d",	"SCSI disk device",	13, 65538, 8, 16, 'c'			},
     { DEVICE_TYPE_DISK, 	"wd%d",		"IDE/ESDI/MFM/ST506 disk device",	0, 65538, 8, 16, 'b'	},
     { DEVICE_TYPE_DISK, 	"rwd%d",	"IDE/ESDI/MFM/ST506 disk device",	3, 65538, 8, 16, 'c'	},
+    { DEVICE_TYPE_DISK,		"od%d",		"SCSI optical disk device",	20, 65538, 8, 16, 'b'	},
+    { DEVICE_TYPE_DISK,		"rod%d",	"SCSI optical disk device",	70, 65538, 8, 16, 'c'	},
     { DEVICE_TYPE_DISK, 	"fla%d",	"DiskOnChip2000 Flash device", 28, 65538, 8, 16, 'b'	},
     { DEVICE_TYPE_DISK, 	"rfla%d",	"DiskOnChip2000 Flash devicee",	101, 65538, 8, 16, 'c'	},
     { DEVICE_TYPE_DISK, 	"wfd%d",	"ATAPI floppy device",	1, 65538, 8, 4, 'b'		},
